﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64      = 'https://radare.mikelloc.com/get/3.9.0/radare2-msvc_64-3.9.0.zip'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url64bit      = $url64

  softwareName  = 'radare*'

  checksum64    = '67D6C6C143EC72DCB5D35C1BD4FD3EC308D2CB9183B7D8FB10319ED3CB554D79'
  checksumType64= 'sha256'
}

try{
  Uninstall-ChocolateyPackage -PackageName 'radare'
}
catch{
  #no op
}

Install-ChocolateyZipPackage @packageArgs
